Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 33571 - OpenAFS ebuild (openafs-1.2.10-r1) no longer works with current version of `tail'
Summary: OpenAFS ebuild (openafs-1.2.10-r1) no longer works with current version of `t...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Server (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Ryan Phillips (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on: 23116
Blocks:
  Show dependency tree
 
Reported: 2003-11-15 13:50 UTC by George Plymale
Modified: 2003-11-24 09:48 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George Plymale 2003-11-15 13:50:17 UTC
`emerge openafs` -> 
(while 'configure'ing)
> checking your OS... tail: `-1' option is obsolete; use `-n 1'
> Try `tail --help' for more information.
> configure: error: Linux headers lack version definition
>
> !!! ERROR: net-fs/openafs-1.2.10-r1 failed.

This is with sys-apps/coreutils-5.0.91.

Reproducible: Always
Steps to Reproduce:
1.`emerge openafs` with the correct version of coreutils.
2.
3.
Actual Results:  
Listed in details.
Comment 1 George Plymale 2003-11-15 15:13:34 UTC
Here is the difference ( `diff configure.new configure` ):
2071c2071
<                 linux_kvers=`fgrep UTS_RELEASE $LINUX_KERNEL_PATH/include/linux/version.h |awk 'BEGIN { FS="\"" } { print $2 }'|tail -n 1`
---
>                 linux_kvers=`fgrep UTS_RELEASE $LINUX_KERNEL_PATH/include/linux/version.h |awk 'BEGIN { FS="\"" } { print $2 }'|tail -1`
Comment 2 Ryan Phillips (RETIRED) gentoo-dev 2003-11-21 09:30:46 UTC
Coreutils 5.0.91 is not stable.  Use a stable version.  If this really needs fixed, could you create a patch George?
Comment 3 Ryan Phillips (RETIRED) gentoo-dev 2003-11-24 09:48:13 UTC
I've added fixheadtails from bug #23116 to this ebuild.